<?php get_header(); ?>

<?php
	$ntt_plugin_folder = get_bloginfo('wpurl');
	$ntt_plugin_folder .= '/wp-content/plugins/NTTFeaturedContent2/';
	$ntt_plugin_page = $ntt_plugin_folder . 'js/featured_data1.txt';
	$ntt_plugin_style = $ntt_plugin_folder . 'ntt_fc_style2.css';
?>
	<LINK href="<?php echo $ntt_plugin_style;?>" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="<?php echo $ntt_plugin_folder; ?>js/featured_content.js"></script>
	<div class="ntt_featured_content">
<?php
	$ntt_stored_fc = file_get_contents($ntt_plugin_page);
	echo $ntt_stored_fc;
?>
	</div>
	
<?php get_sidebar('first'); ?>

		<div id="mainContent">

		<?php if (have_posts()) : ?>

 			<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

			<?php /* If this is a category archive */ if (is_category()) { ?>
				<h2>Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>

			<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
				<h2>Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>

			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
				<h2>Archive for <?php the_time('F jS, Y'); ?></h2>

			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				<h2>Archive for <?php the_time('F, Y'); ?></h2>

			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>

			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				<h2 class="pagetitle">Author Archive</h2>

			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h2 class="pagetitle">Blog Archives</h2>
			
			<?php } ?>

			<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>

			<?php while (have_posts()) : the_post(); ?>
			
			<div id="postLists">
			
				<div <?php post_class() ?>>
				
						<h3 class="articleTitle"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
						
					
						<?php include (TEMPLATEPATH . '/inc/meta.php' ); ?><br />

						<div class="entry">
							<p class="postExcerpt">
							<?php the_content(); ?>
							</p>
							<hr />
						</div>
						

				</div>

			</div> <!-- Ends postLists -->

			<?php endwhile; ?>
			
			</div> <!-- Ends mainContent -->

			<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>
			
	<?php else : ?>

		<h2>Nothing found</h2>

	<?php endif; ?>

<?php get_footer(); ?>
