<?php get_header(); ?>

<?php
	$ntt_plugin_folder = get_bloginfo('wpurl');
	$ntt_plugin_folder .= '/wp-content/plugins/NTTFeaturedContent2/';
	$ntt_plugin_page = $ntt_plugin_folder . 'js/featured_data1.txt';
	$ntt_plugin_style = $ntt_plugin_folder . 'ntt_fc_style2.css';
?>
	<LINK href="<?php echo $ntt_plugin_style;?>" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="<?php echo $ntt_plugin_folder; ?>js/featured_content.js"></script>
	<div class="ntt_featured_content">
<?php
	$ntt_stored_fc = file_get_contents($ntt_plugin_page);
	echo $ntt_stored_fc;
?>
	</div>
	
<?php get_sidebar('first'); ?>
	
	<div id="mainContent">
	
		<div class="featuredPosts">
		<ul class="featuredLists">
			
		
<!-- To issue queries I need to hijack $wp_query. So, I can use it later
on the page I'm saving it to a temporary variable -->
<?php
$tempWPQuery = $wp_query;
$wp_query = null;

// Create a new WP_Query Object
$wp_query = new WP_Query();

// Issue a query that returns 4 posts
$wp_query->query('posts_per_page=5&category_name=Featured');

// Cycle through all of the posts
while ($wp_query->have_posts()):
	$wp_query->the_post();
?>
	
	<li>
		<h3 class="featuredTitle"><a href="<?php the_permalink(); ?>"><?php $ntt_the_title = $post->post_title; echo substr($ntt_the_title, 0, 25); ?></a></h3>
		
		<p class="featuredExcerpt"><?php $ntt_the_excerpt = $post->post_excerpt; echo substr($ntt_the_excerpt, 0, 50); ?>
		<a href="<?php the_permalink(); ?>" class="clickForMore">More</a></p>
		
		<img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>" width="60px" height="60px" class="featuredImage" />
	
	</li>
<?php	
endwhile;

// Reset wp_query to the default
$wp_query = null;
$wp_query = $temp;

?>
</ul>
</div> <!-- End of featuredPosts div -->

<div class="postLists">

<!-- To issue queries I need to hijack $wp_query. So, I can use it later
on the page I'm saving it to a temporary variable -->
<?php
$tempWPQuery = $wp_query;
$wp_query = null;

// Create a new WP_Query Object
$wp_query = new WP_Query();

// Issue a query that returns 4 posts
$wp_query->query('posts_per_page=4');

// Cycle through all of the posts
while ($wp_query->have_posts()):
	$wp_query->the_post();
?>
	
	<li>
	
		<h3 class="postTitle"><a href="<?php the_permalink(); ?>"><?php $ntt_the_title = $post->post_title; echo substr($ntt_the_title, 0, 25); ?></a></h3>
		
		<p class="postExcerpt"><?php $ntt_the_excerpt = $post->post_excerpt; echo substr($ntt_the_excerpt, 0, 135); ?>
			<a href="<?php the_permalink(); ?>" class="clickForMore">More</a></p>
			
		<img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>" width="85px" height="85px" class="postImage" />
	
	</li>
<?php	
endwhile;

// Reset wp_query to the default
$wp_query = null;
$wp_query = $temp;
?>

</div>
<br /><br />

<div class="morePosts">

<!-- To issue queries I need to hijack $wp_query. So, I can use it later
on the page I'm saving it to a temporary variable -->
<?php
$tempWPQuery = $wp_query;
$wp_query = null;

// Create a new WP_Query Object
$wp_query = new WP_Query();

// Issue a query that returns 4 posts
$wp_query->query('posts_per_page=8&offset=4');

// Cycle through all of the posts
while ($wp_query->have_posts()):
	$wp_query->the_post();
?>

<div class="recentPosts">

<h3 class="recentTitle"><a href="<?php the_permalink(); ?>"><?php $ntt_the_title = $post->post_title; echo substr($ntt_the_title, 0, 20); ?></a></h3>

<img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>" width="150px" height="150px" class="recentImage" />

<p class="recentExcerpt"><?php $ntt_the_excerpt = $post->post_excerpt; echo substr($ntt_the_excerpt, 0, 82); ?> 
<a href="<?php the_permalink(); ?>" class="clickForMore">More</a></p>

</div> <!-- End of recentPosts div -->

<?php	
endwhile;

// Reset wp_query to the default
$wp_query = null;
$wp_query = $temp;
?>

</div> <!-- End of morePosts div -->
</div> <!-- End of mainContent div -->

<?php get_footer(); ?>
