jQuery(document).ready(function($) { 

	var formfield = null; 
	
	$('#upload_image_button').click(function() { 
		$('html').addClass('Image'); 
		
		// Get the value of the attribute name for the featured image
		formfield = $('#ntt_mbe_image').attr('name'); 
		
		// Creates a popup that displays the media upload form using thickbox
		tb_show('', 'media-upload.php?type=image&TB_iframe=true'); 
		return false; 
	}); 
	
	// user inserts file into post. 
	//only run custom if user started process using the above process 
	// window.send_to_editor(html) is how wp normally handle the received data 
	
	// Overrides the send_to_editor function that will try to insert the image // into a post. My function is called instead
	window.original_send_to_editor = window.send_to_editor; window.send_to_editor = function(html){ 
		var fileurl; 
		
		// Check if the image has a name attribute defined
		// If so get the source url for that image
		// Place that url in the value for the image
		// Close the Thickbox popup
		if (formfield != null) { 
			fileurl = $('img',html).attr('src'); $('#ntt_mbe_image').val(fileurl); 
			tb_remove(); 
			
			$('html').removeClass('Image'); 
			formfield = null; 
		} else { 

			// Resets the original send_to_editor functionality
			window.original_send_to_editor(html);
		}
		
	};
});